capture log close
log using diGiovanni_Levchenko_Comovement_AEJmacro_TablesA1_A3, text replace

/*
    Date: July 22, 2009
    
    Program: this file reproduces Tables A1-A3 of di Giovanni and Levchenko, 
             "Putting the Parts Together: Trade, Vertical Linkages, and 
             Business Cycle Comovement", AEJ: Macro.
*/

set more off
clear

set mem 800m

* Table A1: 

use ../Data/manuftrade_sumstats, clear

table country if oecd==1, c(mean corr_growth_indx_agg mean manuftrade_gdp)
table country if oecd~=1, c(mean corr_growth_indx_agg mean manuftrade_gdp)

*  Table A2: 

use ../Data/bimanuftrade_corr_sumstats, clear

sum corr_growth_indx_agg bitrade_gdp
sum corr_growth_indx_agg bitrade_gdp if oecd1==1 & oecd2==1
sum corr_growth_indx_agg bitrade_gdp if oecd1==0 & oecd2==0
sum corr_growth_indx_agg bitrade_gdp if (oecd1==1 & oecd2==0) | (oecd1==0 & oecd2==1)

* Table A3: 

* Sector sumstats

use ../Data/corr_sector_sumstats, clear

table isiccode1 if isiccode1==isiccode2, c(mean corr_12)
table isiccode1 if isiccode1~=isiccode2, c(mean corr_12)

use ../Data/manuftrade_sector_sumstats, clear

table isiccode, c(mean trade_gdp)

use ../Data/IO_total_USA1.dta
* "Vertical Intensity"
table isiccode1 if isiccode1 == isiccode2, c(mean IO_USA1)
* "Upstream Intensity"
table isiccode2 if isiccode1 ~= isiccode2, c(sum IO_USA1)

log close
